%! TEX root = ../../master.tex
\lecture[]{So 19 Dez 2021}{Untitled}

\begin{proof}[Continuation of proof]
    First, we want to homotope
    $(D^n, \partial D^n) \stackrel{g}{\longrightarrow} (Y,B)$
    such that the mid point of $\mathring{D}^n \subset Y$ is not in the image.
    Then, we can push $g$ completely off  $\mathring{D}^n$.

    Let
    \[
    U \coloneqq  \left\{x\in D^n \mid \norm{x} <\frac{2}{3}\right\}
        \subset \mathring{D}^n \subset Y,
        \qquad
    A\coloneqq \left\{x\in D^n \mid  \norm{x} \leq \frac{1}{3}
        \subset \mathring{D}^n \subset Y\right\} 
    \]
    and set $V \coloneqq Y\setminus A$,
    so that $U,V\subset Y$ are open and
    $U\cap V = S^{n-1} \times \left( \frac{1}{3}, \frac{2}{3} \right) $
    \missingfigure{Subsets in $D^n$}
    We identify $D^m \cong I^m$.
    Then  $j^{-1}(U), g^{-1}(V)$ are an open cover of $I^m$.
    Thus by compactness there exists a subdivision of $I^m$ into smaller cubes
    such that each is mapped is completely to $U$ or $V$.
    \missingfigure{Subdivision}.

    We consider all cubes in this subdivision,
    also those of smaller dimensions (i.e. vertices, edges,\ldots)
    We define a new map $g'\colon D^m\cong I^m \to Y$ inductively as follows:

    Define $g'$ on the  $l$-cubes such that $g' = g$ for all cubes with image in $V$
    and $g'(W) \subset U\cap V$ for all cubes $W$ with  $g(W) \not\in V$.

    For $l=0$ we define  $g'(v_i) = g(v_i)$ if  $g(v_i) \in V$ and
    if $g(v_i) \not\in V$, we pick some random point in $U\cap V$ for $g'(V_i)$.

    Assume $g'$ is defined on the  $l-1$-cubes.
    Then for an  $l$-cube  $W$ we have  $g'(\partial W)\subset V$.
    If $g(W)\subset V$, then
    $\frestriction{g'}{\partial W} = \frestriction{g}{\partial W}$
    and we pick $\frestriction{g'}{W} = \frestriction{g}{W}$.

    If $g(W) \not\subset V$, then $g(W) \subset U$
    and thus also $g'(\partial W) \subset U\cap V$.

    By statement 2, $\frestriction{g'}{W}$ extends to a map
    $g'\colon W \to  U\cap V$.

    Doing this for all $l\leq m$, we get the map
    $g'\colon D^m = I^m \to V$.
    \begin{claim}
        \todo{make this a subclaim}
        We have $g\simeq g'$ relative to  $\partial I^m$.
    \end{claim}
    \begin{proof}
        First note that
        $g(\partial I^m) \subset V$
        and thus
        $\frestriction{g'}{\partial I^m}$.
        Let $\Gamma$ be the union of all cubes  $W$ with  $g(W)\subset V$.
        Then $\frestriction{g'}{\Gamma} = \frestriction{g}{\Gamma}$.

        Also $g'(I^m \setminus \Gamma)$, $g(I^m \setminus \Gamma) \subset U$.

        Since $U\subset D^m$ is convex,
        there is a linear homotopy between
        $\frestriction{g'}{I^m \setminus \Gamma}$
        and
        $\frestriction{g}{I^m \setminus \Gamma}$.
        Together with the constant homotopy on $\Gamma$,
        we get the desired homotopy.

        This proves the subclaim.
    \end{proof}
    The claim follows.

    Now, we inductively construct $f_i$ and homotopies
    $H_i\colon  f_i \simeq f_{i+1}$ such that
    $f_i$ is cellular on  $X_i$ and  $H_i$ is a homotopy relative to  $X_i$.

    Set  $f_{-1} = f$.
    If $f_i$ is constructed, then there is a homotopy $h_i$ from
     $\frestriction{f_i}{X_{i+1}}$
     to
      $f_{i+1}'\colon X_{i+1} \to  Y$ 
      with $f_{i+i}'$ being cellular.
      This comes from the first part of the proof.

      Since $(X, X_{i+1})$ is an NDR pair,
      $h_i$ can be extended to a homotopy  $H_i$ on  $X$. 
      Let $f_{i+1}$ be $(H_i)_1$.

      Then $\frestriction{f_{i+1}}{X_{i+1}} = f_{i+1}'$.
      This completes the construction of $H_i$, $f_i$.

      We now define a homotopy $H$ by
      $\frestriction{H}{X\times \left[0,\frac{1}{2}\right]} = H_{-1}$,
      $\frestriction{H}{X\times \left[ \frac{1}{2}, \frac{3}{4} \right] } = H_0$,
      \ldots

      As before it suffices to show that $H$ is continuous on  $X_n \times I$.

      But since the sequence $H_i$ is eventually constant on  $X_n$,
      this is true.

      Then $H$ is a homotopy from  $f$ to a cellular map.
\end{proof}

\begin{oral}
    Something on space filling curves.\todo{expand on this}
\end{oral}

\begin{corollary}\label{cor:map-to-higher-dimensional-sphere-is-nullhomotopic}
    Every map $f\colon S^n \to  S^n$ with $n<m$ is nullhomotopic. 

    In other words, $\pi_n(S^m) = 0$ for $n<m$.
\end{corollary}

\section{Cellular homology}

\begin{lemmadef}\label{lemmadef:cellular-chains-of-relative-cw-complex}
    Let $(X,A)$ be a relative CW-complex.
    Define the \vocab{cellular chains} by 
    \[
        C^{\cell}_n(X,A)\coloneqq H_n^{\sing}(X_n, X_{n-1})
    \]
    with the boundary maps
    \[
        \partial ^{\cell}_n \colon C_n^{\cell}(X,A) \to C_{n-1}^{\cell}(X,A)
    \] 
    given by the composition
    \[
        H_n^{\sing}(X_n, X_{n-1})
        \stackrel{\partial }{\longrightarrow}
        H_{n-1}^{\sing}(X_{n-1})
        \to 
        H_{n-1}^{\sing}(X_{n-1}, X_{n-2})
    \]
    This gives a chain complex.
\end{lemmadef}
\begin{proof}
    Since
    \[
        H_{n-1}^{\sing}(X_{n-1})
        \to
        H_{n-1}^{\sing}(X_{n-1},X_{n-2})
        \stackrel{\partial }{\longrightarrow} 
        H_{n-2}^{\sing}(X_{n-2})
    \]
    is trivial by the LES of $(X_{n-1}, X_{n-2})$,
    \[
        (C_\chainbullet ^{\cell}(X,A), \partial ^{\cell})
    \] 
    is a chain complex.
\end{proof}

\begin{note}
    $\partial ^{\cell}_n$ is the boundary map of the triple sequence of
    $(X_n, X_{n-1}, X_{n-2})$, see
\end{note}

\begin{ddefinition}\label{def:cellular-homology-of-relative-cw-complex}
    Define the \vocab{cellular homology} of a relative CW-complex $(X,A)$ as
    \[
        H_n^{\cell}(X,A) \coloneqq H_n(C_\chainbullet ^{\cell}(X,A), \partial ^{\cell})
    \] 
\end{ddefinition}

\begin{lemma}\label{lm:homology-of-relative-skeleton-is-free-z-module}
    For every homology theory $H_\chainbullet $ that satisfies
    the dimension and the disjoint union axiom,
    we have
    \[
        H_k(X_n, X_{n-1}) \cong \begin{cases}
            \bigoplus_{I_n}\mathbb{Z} & k = n \\
            0 & \text{else}
        \end{cases}
    \]
\end{lemma}
\begin{proof}
    By the pushout
    \[
    \begin{tikzcd}
\pushout        \coprod_{I_n}S^{n-1} \ar[swap]{d}{} \ar{r}{} & X_{n-1} \ar{d}{} \\
        \coprod_{I_n}D^n \ar[swap]{r}{} & X_n
    \end{tikzcd}
    \]
    and \autoref{prop:pushout-for-ndr-pair-gives-excisive-triad},
    we have
    \begin{IEEEeqnarray*}{rCl}
        H_k(X_n, X_{n-1}) &\cong& H_k\left(\coprod_{I_n}D^n, \coprod_{I_n} S^{n-1}\right) \\
                          &\cong& \bigoplus_{I_n} H_k(D^n, S^{n-1}) \\
                          &\cong& \begin{cases}
                              \bigoplus_{I_n} \mathbb{Z} & n = k \\
                              0 & \text{else}
                          \end{cases}
    \end{IEEEeqnarray*}
\end{proof}

\begin{lemma}\label{lm:k-homology-vanishes-on-n-skeleton-for-n-greater-k}
    For every homology theory satisfying the dimension and disjoint union axiom,
    we have
    \[
        H_k(X_n, A) = 0
    \] 
    for every $k>n$.
\end{lemma}
\begin{proof}
    By induction on $n$.
    For  $n=-1$, we have  $H_k(X_{-1}, A) = H_k(A,A) = 0$ for every $k$.

    Now induct  $n-1 \mapsto n$.
    We consider the triple sequence for  $(X_n, X_{n-1}, A)$ and get
    \[
    \begin{tikzcd}
        H_{k+1}(X_n, X_{n-1}) \ar{r}{\partial } &  H_k(X_{n-1},A) \ar{r} & H_k(X_n, A) \ar{r} &  H_k(X_n, X_{n-1}) \\
        0 \ar[phantom, shift left]{u}[rotate=90]{\cong} & & & \ar[phantom, shift left]{u}[rotate=90]{\cong}
    \end{tikzcd}
\]
    where the isomorphism follow from \autoref{lm:homology-of-relative-skeleton-is-free-z-module}.
    But by induction, $H_k(X_{n-1}, A) \cong 0$,
    and thus our claim follows.
\end{proof}

\begin{lemma}\label{lm:inclusion-of-n-skeleton-into-cw-complex-is-iso-on-smaller-homologies}
    For every homology theory satisfying the dimension and disjoint union axiom,
    the inclusion induces an isomorphism
    $H_k(X_n, A) \to  H_k(X,A)$
    for all $k<n$.
\end{lemma}
\begin{proof}
    Consider the triple sequence for
    $(X_{n+1}, X_n, A)$.
    Then we have the LES
    \[
    \begin{tikzcd}
        H_{k+1}(X_{n+1}, X_n) \ar{r}{\partial } &
        H_k(X_n, A) \ar{r} &
        H_k(X_{n+1}, A) \ar{r} &
        H_k(X_{n+1}, X_n)
    \end{tikzcd}
    \]
    and hence $H_k(X_n, A) \cong \colim_{l} H_k(X_l, A)$.
    We now use \autoref{lm:colimits-commute-with-taking-homology-of-cw-complex} to finish.
\end{proof}

\begin{dlemma}\label{lm:colimits-commute-with-taking-homology-of-cw-complex}
    Colimits commute with taking homology on CW-complexes.
\end{dlemma}
\begin{proof}
    Exercise sheets.

    For $H = H^{\sing}$,
    we can also use the following:

    Since $\Delta^n$ is compact,
    for each map $\Delta^m \to  X$ the image is contained in a finite sub-complex.
    In particular, it is contained in some $X_l$.

    Hence
     \[
         C_m^{\sing}(X,A) \cong \colim_l C_m^{\sing}(X_l,A)
    \]
    and
    \[
        H_k(\colim_l C_\chainbullet ^{\sing}(X_l,A))
        \cong \colim_l H_k(C_\chainbullet ^{\sing}, X_l,A))
    \] 
    where the second isomorphism also follows from the exercise sheets.
\end{proof}

\begin{theorem}
    There is a natural isomorphism
    \[
        μ_n(X,A)\colon  H_n^{\cell}(X,A) \stackrel{\cong}{\longrightarrow} H_n^{\sing}(X,A)
    \]
    of functors
    \[
        (\text{rel. CW-complexes}) \to \Ab
    \] 
\end{theorem}
\begin{proof}
   Consider the triples
   $(X_{n+1}, X_n, A) \hookrightarrow (X_{n+1}, X_n, X_{n-1})$.
   By naturality of the triple sequence, this induces a diagram
   \[
       \begin{tikzcd}[column sep = -0.5em]
       && H_n^{\sing}(X_n,A)
           \stackrel{\autoref{lm:k-homology-vanishes-on-n-skeleton-for-n-greater-k}}{=} 0
           \ar[hook]{d}
       \\
       H_{n+1}^{\sing}(X_{n+1}, X_n)
           \ar{urr}{\partial} \ar{rr}{\partial} &&
       H_n^{\sing}(X_n, X_{n-1})
           \ar[near start]{dd}{\partial}
           \ar{rr}{\partial} &&
       H_{n-1}^{\sing}(X_{n-1}, X_{n-2})
       \\
       C_{n+1}^{\cell}(X,A)
           \ar{r}{\partial ^{\cell}}
           \ar[phantom]{u}[rotate=90]{=} &
       C_n^{\cell}(X,A)
           \ar[near start, swap]{rrr}{\partial ^{\cell}}
           \ar[phantom]{ur}[rotate=40]{=} & & &
       C_{n-1}^{\cell}(X,A)
       \\
       && H_{n-1}^{\sing}(X_{n-1},A)
       \ar{urur}
       \\
       & H_{n-1}(X_{n-2},A) = 0
       \ar{ur}
   \end{tikzcd}
   \] 
   It follows that the kernel of
   \[
       \partial ^{\cell}\colon H_n^{\sing}(X_n, X_{n-1}) \to H_{n-1}^{\sing}(X_{n-1}, X_{n-2})
   \] 
   is the kernel of
   \[
       \partial \colon H_n^{\sing}(X_n, X_{n-1}) \to  H_{n-1}^{\sing}(X_{n-1},A)
   \]
   The latter is isomorphic to $H_n^{\sing}(X,A)$ via the inclusion map.

   Hence $H_n^{\cell}(X,A)$ is isomorphic to the cokernel of
   \[
       H_{n+1}^{\sing}(X_{n+1}, X_n) \stackrel{\partial }{\longrightarrow} H_n^{\sing}(X_n,A)
   \]
   So consider the triple sequence.
   \[
   \begin{tikzcd}
       H_{n+1}^{\sing}(X_{n+1}, X_n) \ar{r}{\partial } &
       H_n^{\sing}(X_n, A) \ar{r} &
       H_n^{\sing}(X_{n+1}, A) \ar{r} &
       H_n(X_{n+1}, X_n)
       \stackrel{\autoref{lm:homology-of-relative-skeleton-is-free-z-module}}{=} 0
   \end{tikzcd}
   \]
   So that
   \[
       H_n^{\cell}(X,A) \cong H_n^{\sing}(X_{n+1}, A)
       \stackrel{\autoref{lm:inclusion-of-n-skeleton-into-cw-complex-is-iso-on-smaller-homologies}}{=}
       H_n^{\sing}(X,A)
   \] 
   and this finishes our claim.
\end{proof}

\begin{oral}
    We now want to further investigate the $\partial $ maps in the cellular homology.
\end{oral}

\begin{definition}\label{def:mapping-degree}
    For a map $f\colon S^n \to  S^n$ we define its
    \vocab{mapping degree} $\deg(f)\in \mathbb{Z}$
    by the unique integer such that
    \[
        \begin{array}{r c l}
            \mathbb{Z}\cong  \tilde{H} _n^{\sing}(S^n) &
            \longrightarrow &
            \tilde{H}_n^{\sing}(S^n) \cong\mathbb{Z} \\
            x &\longmapsto &\deg(f)\cdot x
        \end{array}
    \]
\end{definition}
